JUCE: ScopedMessageBox Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ScopedMessageBox Class Reference
juce_gui_basics » windows

Objects of this type can be used to programmatically close message boxes. More...

`#include <juce_ScopedMessageBox.h>`

## Public Member Functions
| ScopedMessageBox (std::shared_ptr< detail::ScopedMessageBoxImpl >)
| ScopedMessageBox ()
| Constructor.
| ~ScopedMessageBox () noexcept
| Destructor.
| ScopedMessageBox (ScopedMessageBox &&) noexcept
| Move constructor.
ScopedMessageBox & | operator= (ScopedMessageBox &&) noexcept
| Move assignment operator.
void | close ()
| Closes the message box, if it is currently showing.

## Detailed Description

Objects of this type can be used to programmatically close message boxes.

See also
  NativeMessageBox::showScopedAsync(), AlertWindow::showScopedAsync()

## Constructor & Destructor Documentation

## ◆ ScopedMessageBox() [1/3]

ScopedMessageBox::ScopedMessageBox | ( | std::shared_ptr< detail::ScopedMessageBoxImpl > |  | ) |
| explicit

## ◆ ScopedMessageBox() [2/3]

ScopedMessageBox::ScopedMessageBox | ( |  | ) |

Constructor.

## ◆ ~ScopedMessageBox()

ScopedMessageBox::~ScopedMessageBox | ( |  | ) |
| noexcept

Destructor.

## ◆ ScopedMessageBox() [3/3]

ScopedMessageBox::ScopedMessageBox | ( | ScopedMessageBox && |  | ) |
| noexcept

Move constructor.

## Member Function Documentation

## ◆ operator=()

ScopedMessageBox & ScopedMessageBox::operator= | ( | ScopedMessageBox && |  | ) |
| noexcept

Move assignment operator.

## ◆ close()

void ScopedMessageBox::close | ( |  | ) |

Closes the message box, if it is currently showing.

This is also called automatically during ~ScopedMessageBox. This is useful if you want to display a message corresponding to a particular view, and hide the message automatically when the view is hidden. This situation commonly arises when displaying messages in plugin editors.

The documentation for this class was generated from the following file:

- juce_ScopedMessageBox.h